Summary: EES Obligation Handler
Name: ees-pepd-oh
Version: 0.1.3
Release: 1%{?dist}
License: ASL 2.0
Group: System Environment/Libraries
URL: http://wiki.nikhef.nl/grid/EES
Source0: http://software.nikhef.nl/security/%{name}/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: argus-pep-server
BuildRequires: argus-pep-common >= 2.2.0
BuildRequires: argus-pdp-pep-common >= 1.3.0
Requires: java >= 1:1.6.0
Requires: jpackage-utils
Requires: argus-pep-server
Requires: argus-pep-common >= 2.2.0
Requires: argus-pdp-pep-common >= 1.3.0

%description
Argus PEPd obligation handler to interact with the Argus-EES server.

%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

%build
%configure

make

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%doc AUTHORS LICENSE

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}

%changelog
* Mon Dec 17 2012 Mischa Salle <msalle@nikhef.nl> 0.1.3-1
- update to new release

* Tue Nov  6 2012 Mischa Salle <msalle@nikhef.nl> 0.1.2-1
- remove configure flags (done internally)
- update to new release

* Mon Oct 29 2012 Mischa Salle <msalle@nikhef.nl> 0.1.1-3
- add configure options for all external dependencies installed in non-standard
  directory
- install AUTHORS and LICENSE as doc
- remove Vendor tag
- change URL

* Tue Jan 31 2012 Dennis van Dok <dennisvd@nikhef.nl> 0.1.1-1
- Update to new release

* Thu Dec 22 2011 Mischa Salle <msalle@nikhef.nl> 0.1.0-5
- Use autotools to build the files

* Wed Dec 21 2011 Mischa Salle <msalle@nikhef.nl> 0.1.0-4
- renaming package into ees-pepd-oh (EMI 1 name)
- update URL field to permanent location
- add description

* Tue Dec 20 2011 Mischa Salle <msalle@nikhef.nl> 0.1.0-3
- specify minimal version of argus-pep-common and argus-pdp-pep-common

* Tue Dec 20 2011 Dennis van Dok <dennisvd@nikhef.nl> 0.1.0-2
- fix command substitution syntax

* Tue Dec 20 2011 Mischa Salle <msalle@nikhef.nl> 0.1.0-1
- Initial version.
